Subject: Re: Help with returned mail
From: "Michael B" <[email-masked]>
To: "Matheny, Cynthia L - Lansing, MI" <[email-masked]>
Date: Tue, 14 Feb 2017 13:16:38 -0500

Hello Cynthia.
The lady works in the office. Should I just add that?
Thank you,
Michael B
LLPS

From: Matheny, Cynthia L - Lansing, MI 
Sent: Tuesday, February 14, 2017 11:21 AM
To: Michael B 
Cc: Bsn Gl Greater Michigan - Grand Rapids, MI 
Subject: RE: Help with returned mail

Good morning Michael,

I contacted the Inkster Post Office and they said this address requires and apartment number.  Can you contact the customer for this information?

Please let me know if I can be of further assistance in this matter.

Thank you and have a great day.

Cynthia Matheny

Business Service Network Representative

888-276-1293

[email-masked]

The Voice of our BSN Customer is important to us.  Let your voice be heard through the BSN Survey. We want to ensure that you are 100% satisfied!

 

 

From: Michael B [mailto:[email-masked]] 
Sent: Tuesday, February 14, 2017 10:32 AM
To: Matheny, Cynthia L - Lansing, MI
Subject: Help with returned mail

Hello Cyndi.

I need help with an address (shown below). I received an invoice back from a customer as Insufficient Address. Also, I checked the tracking on the posters and those are on their way back to us as well. We used this address for their last order and nothing was returned. I checked the address in the Zip Code search and it shows it as a good address/zip. I can reship these but need to know if there are corrections that need to be made first. Please let me know asap.

MARY SPEGAL
THOMPSON TOWER APARTMENTS
27727 MICHIGAN AVE
INKSTER, MI 48141-3615

Thank you,
Michael B
LLPS